package com.ssj.bean.weixin.libmy.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


@Entity
@Table(name = "tb_lib_manager_banned")
public class TbLibManagerBanned extends BaseEntity {
    private static final long serialVersionUID = 1L;
    /**
     * tb_lib_manager.id
     */
    private String libManagerId;
    /**
     * 用户id
     */
    private String userId;
    /**
     * 1：图书馆管理员，2：作业吧管理员(在馆老师),3：学霸老师,4：馆长，5：管理合伙人，6：校长，7：一对一老师，
     * 8：在线批改老师，9:小课老师,10：难题老师，11：校区群管理员（在线批改管理系统角色），12：超级管理员（在线批改管理系统角色），13:匹配知识点老师，14：质检员
     */
    private int type;
    /**
     * 创建时间
     */
    private Date createTime;

    public String getLibManagerId() {
        return libManagerId;
    }

    public void setLibManagerId(String libManagerId) {
        this.libManagerId = libManagerId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
